TIBCO FTL®

Public Member Functions | List of all members
TIBCO.FTL.ITibProperties Interface Reference

Properties objects represent a set of configuration properties (name and value pairs). More...

Inheritance diagram for TIBCO.FTL.ITibProperties:

## Public Member Functions
bool | Exists (string name)
| Check whether a property has been set. More...
bool | GetBoolean (string name)
| Get a boolean property. More...
double | GetDouble (string name)
| Get a double property. More...
int | GetInt (string name)
| Get an integer property. More...
long | GetLong (string name)
| Get an integer property. More...
IMessage | GetMessage (string name)
| Get an IMessage property. More...
string | GetString (string name)
| Get a string property. More...
bool | Remove (string name)
| Remove a property. More...
void | Set (string name, bool value)
| Set a boolean property. More...
void | Set (String name, double value)
| Set a double property. More...
void | Set (string name, IMessage value)
| Set an IMessage property. More...
void | Set (string name, int value)
| Set an integer property. More...
void | Set (String name, long value)
| Set a long property. More...
void | Set (string name, string value)
| Set a string property. More...
void | SetOAuth2TokenFetchHandler (IOAuth2TokenFetchHandler handler)

## Detailed Description

Properties objects represent a set of configuration properties (name and value pairs).

Programs pass properties objects to FTL object creation calls.

Customers do not implement this interface.

Each property name includes an indication of the required datatype for the value. For example, FTL.EVENTQUEUE_PROPERTY_INT_DISCARD_POLICY requires an integer value; FTL.REALM_PROPERTY_STRING_USERNAME requires a string value.

Set Method Semantics

- If `name` is not yet in the properties object, `Set` methods add the name and value pair.
- If `name` is already in the properties object, `Set` methods change its value.

To create a properties object, call FTL.CreateProperties. Programs must IDisposable.Dispose properties objects to reclaim resources.

See also
  FTL.CreateProperties

## Member Function Documentation

## ◆ Exists()

bool TIBCO.FTL.ITibProperties.Exists | ( | string | name | ) |

Check whether a property has been set.

Parameters

  name | The method checks for existence of this property.

Returns
  Boolean; `true` if the property is present, `false` otherwise.

## ◆ GetBoolean()

bool TIBCO.FTL.ITibProperties.GetBoolean | ( | string | name | ) |

Get a boolean property.

Parameters

  name | The method gets the value of this property.

Returns
  A boolean property value.

## ◆ GetDouble()

double TIBCO.FTL.ITibProperties.GetDouble | ( | string | name | ) |

Get a double property.

Parameters

  name | The method gets the value of this property.

Returns
  A double property value.

## ◆ GetInt()

int TIBCO.FTL.ITibProperties.GetInt | ( | string | name | ) |

Get an integer property.

Parameters

  name | The method gets the value of this property.

Returns
  An integer property value.

## ◆ GetLong()

long TIBCO.FTL.ITibProperties.GetLong | ( | string | name | ) |

Get an integer property.

Parameters

  name | The method gets the value of this property.

Returns
  An integer property value.

## ◆ GetMessage()

IMessage TIBCO.FTL.ITibProperties.GetMessage | ( | string | name | ) |

Get an IMessage property.

Parameters

  name | The method gets the value of this property.

Returns
  A string property value.

## ◆ GetString()

string TIBCO.FTL.ITibProperties.GetString | ( | string | name | ) |

Get a string property.

Parameters

  name | The method gets the value of this property.

Returns
  A string property value.

## ◆ Remove()

bool TIBCO.FTL.ITibProperties.Remove | ( | string | name | ) |

Remove a property.

Parameters

  name | The method removes this property.

Returns
  Boolean; `true` if the method found and removed the property, `false` if the property was not present.

## ◆ Set() [1/6]

void TIBCO.FTL.ITibProperties.Set | ( | string | name,
|  | bool | value
| ) |  |

Set a boolean property.

Parameters

  name | The method sets this property.
  value | The method sets the property to this value.

## ◆ Set() [2/6]

void TIBCO.FTL.ITibProperties.Set | ( | String | name,
|  | double | value
| ) |  |

Set a double property.

Parameters

  name | The method sets this property.
  value | The method sets the property to this value.

## ◆ Set() [3/6]

void TIBCO.FTL.ITibProperties.Set | ( | string | name,
|  | IMessage | value
| ) |  |

Set an IMessage property.

Parameters

  name | The method sets this property.
  value | The method sets the property to this value.

## ◆ Set() [4/6]

void TIBCO.FTL.ITibProperties.Set | ( | string | name,
|  | int | value
| ) |  |

Set an integer property.

Parameters

  name | The method sets this property.
  value | The method sets the property to this value.

## ◆ Set() [5/6]

void TIBCO.FTL.ITibProperties.Set | ( | String | name,
|  | long | value
| ) |  |

Set a long property.

Parameters

  name | The method sets this property.
  value | The method sets the property to this value.

## ◆ Set() [6/6]

void TIBCO.FTL.ITibProperties.Set | ( | string | name,
|  | string | value
| ) |  |

Set a string property.

Parameters

  name | The method sets this property.
  value | The method sets the property to this value.

## ◆ SetOAuth2TokenFetchHandler()

void TIBCO.FTL.ITibProperties.SetOAuth2TokenFetchHandler | ( | IOAuth2TokenFetchHandler | handler | ) |